Package docking.widgets.fieldpanel.internal

# Interface LayoutBackgroundColorManager

All Known Implementing Classes:
  `EmptyLayoutBackgroundColorManager`, `LayoutBackgroundColorManagerAdapter`, `MixedLayoutBackgroundColorManager`

public interface LayoutBackgroundColorManager
Interface for classes that manage the background color of a layout. The background color is affected by the current selection and highlight. Implementers of this class manage the interaction of the selection and highlight to provide a single object from which to get background color information.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Color`
  `getBackgroundColor()`
  Returns the overall background color for the entire layout.
  `Color`
  `getBackgroundColor(FieldLocation location)`
  Returns the background color at a specific location within the layout.
  `FieldBackgroundColorManager`
  `getFieldBackgroundColorManager(int fieldNum)`
  Returns a `FieldBackgroundColorManager` to manage the background colors for field indexed by fieldNum.
  `Color`
  `getPaddingColor(int padIndex)`
  Returns the color of the padding between fields or null if the color is the same as the background color for the layout.

- ## Method Details

  - ### getBackgroundColor

    Color getBackgroundColor()
    Returns the overall background color for the entire layout. If the layout is totally, selected, then this color will be the selection color. If the layout is highlighted,then the color will be the highlight color. If both, then the color will be the combined color. If the color is the same the overall background color of the field panel, then null will be returned to indicate that the background color for this layout does not need to be painted.
    Returns:
      the background color for this layout or null if it is the same as the background for the field panel.

  - ### getPaddingColor

    Color getPaddingColor(int padIndex)
    Returns the color of the padding between fields or null if the color is the same as the background color for the layout.
    Parameters:
      `padIndex` - the index of the padding area. 0 represents the gap before the first field. a -1 indicates the gap past the last field.
    Returns:
      the color for indicated gap padding.

  - ### getFieldBackgroundColorManager

    FieldBackgroundColorManager getFieldBackgroundColorManager(int fieldNum)
    Returns a `FieldBackgroundColorManager` to manage the background colors for field indexed by fieldNum.
    Parameters:
      `fieldNum` - the index of the field for which to get a colorManager.
    Returns:
      the FieldBackgroundColorManager for the given field index.

  - ### getBackgroundColor

    Color getBackgroundColor(FieldLocation location)
    Returns the background color at a specific location within the layout.
    Parameters:
      `location` - the location in the layout for which to get the background color.
    Returns:
      the background color at a specific location within the layout.